<h4 class="text-center"> Register to embrace a new world!</h4>

<form #form="ngForm" [formGroup]="signupForm" class="form mt-4" (submit)="signup()">
    <div class="form-group">
        <input #emailInput formControlName="email" placeholder="email" class="form-control" autofocus >
        <ap-vmessage *ngIf="signupForm.get('email').errors?.required && form.submitted"  text="email is requited"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('email').errors?.email && form.submitted"  text="Email is invalid"></ap-vmessage>
    </div>

    <div class="form-group">
        <input formControlName="fullName" placeholder="full name" class="form-control">
        <ap-vmessage *ngIf="signupForm.get('fullName').errors?.required && form.submitted"  text="Full name is requited"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('fullName').errors?.minlength && form.submitted"  text="Minimun de 2 caracteres"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('fullName').errors?.maxlength && form.submitted"  text="Maximun de 40 caracteres"></ap-vmessage>
      </div>

      <div class="form-group">
        <input formControlName="userName" placeholder="user name" class="form-control">
        <ap-vmessage *ngIf="signupForm.get('userName').errors?.required"  text="User name is requited"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('userName').errors?.minlength"  text="Minimun de 2 caracteres"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('userName').errors?.maxlength"  text="Maximun de 40 caracteres"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('userName').errors?.lowerCase"  text="Use lower case"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('userName').errors?.userNameTaken"  text="Username already taken"></ap-vmessage>
      </div>
      <small *ngIf="signupForm.get('userName').valid" class="text-success">Username available</small>

      <div class="form-group">
        <input formControlName="password" type="password" placeholder="password" class="form-control">
        <ap-vmessage *ngIf="signupForm.get('password').errors?.required && form.submitted"  text="Password name is requited"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('password').errors?.minlength && form.submitted"  text="Minimun de 2 caracteres"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.get('password').errors?.maxlength && form.submitted"  text="Maximun de 40 caracteres"></ap-vmessage>
        <ap-vmessage *ngIf="signupForm.errors?.userNamePassword && form.submitted"  text="Usesrname and password used be diferent."></ap-vmessage>
    </div>

    <button class="btn btn-primary btn-block">Register</button>

    <p>Already a user?<a [routerLink]="['']">Sign In!</a></p>
</form>
